# Functor CamomileLibrary.Type.CaseMap.Make

    module Make: functor (Text : CamomileLibrary.Type.UnicodeString.Type) -> Type  with type text = Text.t

Parameters: |
`Text` | : | `CamomileLibrary.Type.UnicodeString.Type`

    type text

    val lowercase : ?locale:string ->
           text -> text

    val uppercase : ?locale:string ->
           text -> text

    val titlecase : ?locale:string ->
           text -> text

Capitalize the beginning of words

    val casefolding : text -> text

Case foldding

    val compare_caseless : text -> text -> int

Caseless comparison